Home | All Classes | Grouped Classes | Index | Search

# Class CL_OutlineProviderBitmap

Bitmap outline provider. More...

Derived from: CL_OutlineProvider
Derived by: none
Group: Display (Collision)

#include <ClanLib/display.h>

Construction:

CL_OutlineProviderBitmap | Construct a contour

Attributes:

get_contours | return the countours that make up the outline
get_width | return the width of the image used as basis for outline creation.
get_height | return the height of the image used as basis for outline creation.

Detailed description:

!group=Display/Collision ! !header=display.h!

A CL_OutlineProviderBitmap is used to find outlines based on the alpha channel of images.

Questions or comments, write to the ClanLib mailing list.